// Generated by dts-bundle-generator v5.4.0

/**
 * Creates an AudioDecoder for the given file.
 * Make sure to call dispose() when no longer needed to free its resources.
 * @param {File} file
 * @returns Promise
 */
export declare function getAudioDecoder(file: File): Promise<AudioDecoder>;
/**
 * A disposable class for decoding an audio file.
 * Should only be instantiated with the getAudioDecoder() factory function.
 * Make sure to call dispose() when no longer needed to free its resources.
 */
export declare class AudioDecoder {
	private static path;
	private _module;
	private _sampleRate;
	private _channelCount;
	private _encoding;
	constructor(m: any, data: ArrayBuffer);
	get sampleRate(): number;
	get channelCount(): number;
	get encoding(): string;
	/**
	 * Decodes audio from the currently loaded file.
	 * @param {number} start=0 - the timestamp in seconds to start decoding at.
	 * @param {number} duration=-1 - the length in seconds to decode, or -1 to decode until the end of the file.
	 * @returns Float32Array
	 */
	decodeAudioData(start?: number, duration?: number): Float32Array;
	/**
	 * Disposes the AudioDecoder and frees its resources.
	 * Must be called after the decoder is no longer needed.
	 */
	dispose(): void;
}
export default getAudioDecoder;

export {};
